- Home
- API Enriched
- Support
- operate
- Show DHCP Leases.
Show DHCP Leases.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/operate/namespaces/example/sites/example/ver/dhcp_leases';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/operate/namespaces/example/sites/example/ver/dhcp_leases \ --header 'Authorization: <Authorization>'GET DHCP lease information.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace for which the request is sent (system)
Site Name Name of the site.
Responses
Section titled “Responses”A successful response.
Active list of DHCP leases that have been leased by VER DHCP server.
object
DHCP lease information.
Information about DHCP lease given by VER DHCP server.
object
Client identifier of the client.
Client Description.
Lease expiry timestamp.
Host name of the client.
Name of the ver interface to which the client is connected.
IP address leased to the client.
Lease issue timestamp.
MAC address of the client.
DHCP option information.
DHCP Option information as a (key, value) pair.
object
Option key.
Option value.
Subnet of the client.
DHCP information per subnet.
Information about DHCP subnet.
object
Number of addresses in the subnet that DHCP can lease.
Number of addresses in the subnet that are free (not allocated)
Name of the ver interface to which the subnet is assigned.
Subnet address.
Examplegenerated
{ "lease_info": [ { "client_id": "example", "description": "example", "expiry": "2026-04-15T12:00:00Z", "hostname": "example", "interface": "example", "ip": "example", "issue_time": "2026-04-15T12:00:00Z", "mac": "example", "options": [ { "key": "example", "value": "example" } ], "subnet": "example" } ], "subnet_info": [ { "address_count": 1, "free_address_count": 1, "interface": "example", "subnet": "example" } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example